org.aspectj.lang.reflect

## Interface InterTypeDeclaration

All Known Subinterfaces:
  InterTypeConstructorDeclaration, InterTypeFieldDeclaration, InterTypeMethodDeclaration

All Known Implementing Classes:
  InterTypeConstructorDeclarationImpl, InterTypeDeclarationImpl, InterTypeFieldDeclarationImpl, InterTypeMethodDeclarationImpl

    public interface InterTypeDeclaration

Represents an inter-type method, field, or constructor declared in an aspect.

### Method Summary

All Methods Instance Methods Abstract Methods
`AjType<?>` `getDeclaringType()`
`int` `getModifiers()`
`AjType<?>` `getTargetType()`

### Method Detail

#### getDeclaringType

    AjType<?> getDeclaringType()

Returns:
  the declaring aspect

#### getTargetType

    AjType<?> getTargetType()
                     throws ClassNotFoundException

Returns:
  the target type of this ITD
Throws:
  `ClassNotFoundException` - if the type cannot be found

#### getModifiers

    int getModifiers()

Returns:
  member modifiers, can be interpreted using java.lang.reflect.Modifier